## fonts-dejavu 2.33+svn2514

=== debian/changelog ===
fonts-dejavu (2.33+svn2514-3ubuntu1) saucy; urgency=low

  * Merge change from ttf-dejavu:
    - Add 01_missing_uighur.patch: Add missing glyphs for Uighur language.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 21 May 2013 13:24:30 +0100

fonts-dejavu (2.33+svn2514-3) unstable; urgency=low

  * Team upload

  [ Fabian Greffrath ]
  * The transitional ttf-dejavu package must depend on ttf-dejavu-{core,extra}
    instead of the fonts-dejavu-* flavors, so the fonts files are available
    at the expected locations (Closes: #706516).
  * Make ttf-dejavu also depend on fonts-dejavu for a smoother transition.

  [ Christian Perrier ]
  * Use git for packaging: adapt Vcs-* fields
  * Use machine-readable format for debian/copyright

 -- Christian Perrier <bubulle@debian.org>  Fri, 10 May 2013 20:31:13 +0200

fonts-dejavu (2.33+svn2514-2) experimental; urgency=low

  [ Fabian Greffrath ]
  * Team upload.
  * Instead of symlinking the font directories, provide per-file
    symlinks in the transitional packages.
  * Adjust Replaces and Conflicts accordingly, convert Conflicts to Breaks.
  * Remove useless debian/*.dirs files.
  * Really install NEWS file as upstream changelog, do not duplicate
    docs in fonts-dejavu-extra package.
  * Remove empty debian/patches directory.
  * Replace Pre-Depends on "dpkg (>= 1.15.6~)" with "${misc:Pre-Depends}."
  * Run "wrap-and-sort -as".
  * Append "(extra variants)" to fonts-dejavu-extra package's short description.
  * Fix Vcs-* fields in debian/control.

 -- Christian Perrier <bubulle@debian.org>  Wed, 03 Apr 2013 11:42:53 +0200

fonts-dejavu (2.33+svn2514-1) experimental; urgency=low

  * "New upstream" version (indeed an SVN snapshot as no
    recent upstream release happened). This closes the following
    Debian bugs:
    - broken Latin letters with dot above at small sizes. 
      Closes: #618310, #647444
  * Rename source package to "fonts-freefont" to fit the Font
    Packages Naming Policy.
  * Bump debhelper compatibility to 9
  * Move to dh-7 minimal rules file and drop CDBS
  * Replace XC-Package-Type by Package-Type for udeb packages
  * Bump Standards to 3.9.4 (checked)
  * Drop Evguenyi from Uploaders as he's no longer active for
    this package
  * Uncapitalize fonts-dejavu description which will make it
    recognized as a metapackage
  * Use xz extreme compression to build deb packages
    Closes: #685269
  * Add upstream-provided fontconfig hint files in /etc/fonts/conf.avail
    with links in /etc/fonts/conf.d. Closes: #457647
  * Install NEWS file as a changelog file

 -- Christian Perrier <bubulle@debian.org>  Mon, 01 Apr 2013 18:03:09 +0200

ttf-dejavu (2.33-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/rules: Use xz compression for binary packages. 
    Closes: #683931

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Aug 2012 18:19:22 +0200

ttf-dejavu (2.33-2) unstable; urgency=low

  * Mark binary packages as Multi-Arch: foreign
    Closes: #637967
  * Don't use brace expansion in ttf-dejavu-udeb.install

 -- Christian Perrier <bubulle@debian.org>  Thu, 18 Aug 2011 05:59:43 +0200

ttf-dejavu (2.33-1) unstable; urgency=low

  * New upstream release
  * debian/scripts/generate-udeb.sh: strip more ranges in
    DejaVuSans{-Bold,-Oblique}
    - Old Italic (u10300:u1032F)
    - Playing Cards (u1F0A0:u1F0FF)
    - Miscellaneous Symbols And Pictographs (u1F400:u1F4FF)
    - Emoticons (u1F600:u1F64F)
  
 -- Davide Viti <zinosat@tiscali.it>  Mon, 28 Feb 2011 23:29:50 +0100

ttf-dejavu (2.32-1) unstable; urgency=low

  * New upstream release
  * debian/control: 
    - Bump Standards-Version to 3.9.1 (no changes needed)
    - Build-Depends-Indep set to "fontforge-nox | fontforge" to unburden
      buildds. Drop also version restriction (>= 0.0.20080330)  
  * debian/scripts/generate-udeb.sh:
    - strip Domino Tiles (U+1F030-U+1F09F)
  * debian/watch: revert workaround for broken Sourceforge redirector to
    make the package lintian clean

 -- Davide Viti <zinosat@tiscali.it>  Thu, 03 Feb 2011 21:45:19 +0100

ttf-dejavu (2.31-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.8.4
    (no changes needed)

 -- Davide Viti <zinosat@tiscali.it>  Sat, 29 May 2010 22:23:04 +0200

ttf-dejavu (2.30-2) unstable; urgency=low

  * debian/watch: workaround broken Sourceforge redirector
  * Switch to 3.0 source package format
  * Remove defoma hints files and dependency on defoma
  * debian/preinst: don’t run the script upon first installation. Thanx
    to Josselin Mouette for suggesting this
  * debian/preinst: purge defoma's font cache. Thanx to Christian Perrier
    for spotting this.

 -- Davide Viti <zinosat@tiscali.it>  Sun, 13 Dec 2009 13:52:13 +0100

ttf-dejavu (2.30-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.8.3

 -- Davide Viti <zinosat@tiscali.it>  Thu, 27 Aug 2009 21:40:19 +0200

ttf-dejavu (2.29-3) unstable; urgency=low

  * scripts/strip_glyphs.pe: re-encode as "unicodeFull" as to
    deal with glyphs in ranges > uFFFF  
  * scripts/generate-udeb.sh: simplify stripping glyphs in high ranges
    (> uFFFF) taking advantage of new version of strip_glyphs.pe
  * debian/control: Bump Standards-Version to 3.8.2

 -- Davide Viti <zinosat@tiscali.it>  Sat, 11 Jul 2009 20:57:22 +0200

ttf-dejavu (2.29-2) unstable; urgency=low

  [ Євгеній Мещеряков ]
  * Change source section to "fonts"

  [ Davide Viti ]
  * Bump Build-Depends on debhelper to 5.0.42
  * debian/control: Bump Standards-Version to 3.8.1
  
 -- Davide Viti <zinosat@tiscali.it>  Wed, 25 Mar 2009 21:53:30 +0100

ttf-dejavu (2.29-1) unstable; urgency=low

  * New upstream release (closes: #518778)
  * debian/scripts/generate-udeb.sh: strip DejaVuSans-Oblique.ttf
    up to u1D7E1

 -- Davide Viti <zinosat@tiscali.it>  Mon, 09 Mar 2009 22:05:13 +0100

ttf-dejavu (2.28-2) unstable; urgency=low

  [ Євгеній Мещеряков ]
  * Update Homepage field in debian/control



## fonts-dejavu 2.34

=== Makefile ===
.PHONY: all check munge full sans lgc ttf full-ttf sans-ttf lgc-ttf status dist src-dist full-dist sans-dist lgc-dist norm check-harder pre-patch clean

# Release version
VERSION = 2.34
# Snapshot version
SNAPSHOT = 
# Initial source directory, assumed read-only
SRCDIR  = src
# Directory where temporary files live
TMPDIR  = tmp
# Directory where final files are created
BUILDDIR  = build
# Directory where final archives are created
DISTDIR = dist

# Release layout
FONTCONFDIR = fontconfig
DOCDIR = .
SCRIPTSDIR = scripts
TTFDIR = ttf
RESOURCEDIR = resources

ifeq "$(SNAPSHOT)" ""
ARCHIVEVER = $(VERSION)
else
ARCHIVEVER = $(VERSION)-$(SNAPSHOT)
endif

SRCARCHIVE  = dejavu-fonts-$(ARCHIVEVER)
FULLARCHIVE = dejavu-fonts-ttf-$(ARCHIVEVER)
SANSARCHIVE = dejavu-sans-ttf-$(ARCHIVEVER)
LGCARCHIVE  = dejavu-lgc-fonts-ttf-$(ARCHIVEVER)

ARCHIVEEXT = .zip .tar.bz2
SUMEXT     = .zip.md5 .tar.bz2.md5 .tar.bz2.sha512

OLDSTATUS   = $(DOCDIR)/status.txt
BLOCKS      = $(RESOURCEDIR)/Blocks.txt
UNICODEDATA = $(RESOURCEDIR)/UnicodeData.txt
FC-LANG     = $(RESOURCEDIR)/fc-lang

GENERATE    = $(SCRIPTSDIR)/generate.pe
TTPOSTPROC  = $(SCRIPTSDIR)/ttpostproc.pl
LGC         = $(SCRIPTSDIR)/lgc.pe
UNICOVER    = $(SCRIPTSDIR)/unicover.pl
LANGCOVER   = $(SCRIPTSDIR)/langcover.pl
STATUS	    = $(SCRIPTSDIR)/status.pl
PROBLEMS    = $(SCRIPTSDIR)/problems.pl
NORMALIZE   = $(SCRIPTSDIR)/sfdnormalize.pl
NARROW      = $(SCRIPTSDIR)/narrow.pe

SRC      := $(wildcard $(SRCDIR)/*.sfd)
SFDFILES := $(patsubst $(SRCDIR)/%, %, $(SRC))
FULLSFD  := $(patsubst $(SRCDIR)/%.sfd, $(TMPDIR)/%.sfd, $(SRC))
NORMSFD  := $(patsubst %, %.norm, $(FULLSFD))
LGCSFD   := $(patsubst $(SRCDIR)/DejaVu%.sfd, $(TMPDIR)/DejaVuLGC%.sfd, $(SRC))
FULLTTF  := $(patsubst $(TMPDIR)/%.sfd, $(BUILDDIR)/%.ttf, $(FULLSFD))
LGCTTF   := $(patsubst $(TMPDIR)/%.sfd, $(BUILDDIR)/%.ttf, $(LGCSFD))

FONTCONF     := $(wildcard $(FONTCONFDIR)/*.conf)
FONTCONFLGC  := $(wildcard $(FONTCONFDIR)/*lgc*.conf)
FONTCONFFULL := $(filter-out $(FONTCONFLGC), $(FONTCONF))

STATICDOC := $(addprefix $(DOCDIR)/, AUTHORS BUGS LICENSE NEWS README)
STATICSRCDOC := $(addprefix $(DOCDIR)/, BUILDING)
GENDOCFULL = unicover.txt langcover.txt status.txt
GENDOCSANS = unicover-sans.txt langcover-sans.txt
GENDOCLGC  = unicover-lgc.txt langcover-lgc.txt

all : full sans lgc

$(TMPDIR)/%.sfd: $(SRCDIR)/%.sfd
	@echo "[1] $< => $@"
	install -d $(dir $@)
	sed "s@\(Version:\? \)\(0\.[0-9]\+\.[0-9]\+\|[1-9][0-9]*\.[0-9]\+\)@\1$(VERSION)@" $< > $@
	touch -r $< $@

$(TMPDIR)/DejaVuLGC%.sfd: $(TMPDIR)/DejaVu%.sfd
	@echo "[2] $< => $@"
	sed -e 's,FontName: DejaVu,FontName: DejaVuLGC,'\
	    -e 's,FullName: DejaVu,FullName: DejaVu LGC,'\
	    -e 's,FamilyName: DejaVu,FamilyName: DejaVu LGC,'\
            -e 's,"DejaVu \(\(Sans\|Serif\)*\( Condensed\| Mono\)*\( Bold\)*\( Oblique\|Italic\)*\)","DejaVu LGC \1",g' < $< > $@
	@echo "Stripping unwanted glyphs from $@"
	$(LGC) $@
	touch -r $< $@

$(BUILDDIR)/%.ttf: $(TMPDIR)/%.sfd
	@echo "[3] $< => $@"
	install -d $(dir $@)
	$(GENERATE) $<
	mv $<.ttf $@
	$(TTPOSTPROC) $@
	$(RM) $@~
	touch -r $< $@

$(BUILDDIR)/status.txt: $(FULLSFD)
	@echo "[4] => $@"
	install -d $(dir $@)
	$(STATUS) $(VERSION) $(OLDSTATUS) $(FULLSFD) > $@

$(BUILDDIR)/unicover.txt: $(patsubst %, $(TMPDIR)/%.sfd, DejaVuSans DejaVuSerif DejaVuSansMono)
	@echo "[5] => $@"
	install -d $(dir $@)
	$(UNICOVER) $(UNICODEDATA) $(BLOCKS) \
	            $(TMPDIR)/DejaVuSans.sfd "Sans" \
	            $(TMPDIR)/DejaVuSerif.sfd "Serif" \
	            $(TMPDIR)/DejaVuSansMono.sfd "Sans Mono" > $@

$(BUILDDIR)/unicover-sans.txt: $(TMPDIR)/DejaVuSans.sfd
	@echo "[5] => $@"
	install -d $(dir $@)
	$(UNICOVER) $(UNICODEDATA) $(BLOCKS) \
	            $(TMPDIR)/DejaVuSans.sfd "Sans" > $@

$(BUILDDIR)/unicover-lgc.txt: $(patsubst %, $(TMPDIR)/%.sfd, DejaVuLGCSans DejaVuLGCSerif DejaVuLGCSansMono)
	@echo "[5] => $@"
	install -d $(dir $@)
	$(UNICOVER) $(UNICODEDATA) $(BLOCKS) \
	            $(TMPDIR)/DejaVuLGCSans.sfd "Sans" \
	            $(TMPDIR)/DejaVuLGCSerif.sfd "Serif" \
	            $(TMPDIR)/DejaVuLGCSansMono.sfd "Sans Mono" > $@

$(BUILDDIR)/langcover.txt: $(patsubst %, $(TMPDIR)/%.sfd, DejaVuSans DejaVuSerif DejaVuSansMono)
	@echo "[6] => $@"
	install -d $(dir $@)
ifeq "$(FC-LANG)" ""
	touch $@
else
	$(LANGCOVER) $(FC-LANG) \
	             $(TMPDIR)/DejaVuSans.sfd "Sans" \
	             $(TMPDIR)/DejaVuSerif.sfd "Serif" \
	             $(TMPDIR)/DejaVuSansMono.sfd "Sans Mono" > $@
endif

$(BUILDDIR)/langcover-sans.txt: $(TMPDIR)/DejaVuSans.sfd
	@echo "[6] => $@"
	install -d $(dir $@)
ifeq "$(FC-LANG)" ""
	touch $@
else
	$(LANGCOVER) $(FC-LANG) \
	             $(TMPDIR)/DejaVuSans.sfd "Sans" > $@
endif

$(BUILDDIR)/langcover-lgc.txt: $(patsubst %, $(TMPDIR)/%.sfd, DejaVuLGCSans DejaVuLGCSerif DejaVuLGCSansMono)
	@echo "[6] => $@"
	install -d $(dir $@)
ifeq "$(FC-LANG)" ""
	touch $@
else
	$(LANGCOVER) $(FC-LANG) \
	             $(TMPDIR)/DejaVuLGCSans.sfd "Sans" \
	             $(TMPDIR)/DejaVuLGCSerif.sfd "Serif" \
	             $(TMPDIR)/DejaVuLGCSansMono.sfd "Sans Mono" > $@
endif

$(BUILDDIR)/Makefile: Makefile
	@echo "[7] => $@"
	install -d $(dir $@)
	sed -e "s+^VERSION\([[:space:]]*\)=\(.*\)+VERSION = $(VERSION)+g"\
	    -e "s+^SNAPSHOT\([[:space:]]*\)=\(.*\)+SNAPSHOT = $(SNAPSHOT)+g" < $< > $@
	touch -r $< $@

$(TMPDIR)/$(SRCARCHIVE): $(addprefix $(BUILDDIR)/, $(GENDOCFULL) Makefile) $(FULLSFD)
	@echo "[8] => $@"
	install -d -m 0755 $@/$(SCRIPTSDIR)
	install -d -m 0755 $@/$(SRCDIR)
	install -d -m 0755 $@/$(FONTCONFDIR)
	install -d -m 0755 $@/$(DOCDIR)
	install -p -m 0644 $(BUILDDIR)/Makefile $@
	install -p -m 0755 $(GENERATE) $(TTPOSTPROC) $(LGC) $(NORMALIZE) \
	                   $(UNICOVER) $(LANGCOVER) $(STATUS) $(PROBLEMS) \
	                   $@/$(SCRIPTSDIR)
	install -p -m 0644 $(FULLSFD) $@/$(SRCDIR)
	install -p -m 0644 $(FONTCONF) $@/$(FONTCONFDIR)
	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCFULL)) \
	                   $(STATICDOC) $(STATICSRCDOC) $@/$(DOCDIR)

$(TMPDIR)/$(FULLARCHIVE): full
	@echo "[8] => $@"
	install -d -m 0755 $@/$(TTFDIR)
	install -d -m 0755 $@/$(FONTCONFDIR)
	install -d -m 0755 $@/$(DOCDIR)
	install -p -m 0644 $(FULLTTF) $@/$(TTFDIR)
	install -p -m 0644 $(FONTCONFFULL) $@/$(FONTCONFDIR)
	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCFULL)) \
	                   $(STATICDOC) $@/$(DOCDIR)

$(TMPDIR)/$(SANSARCHIVE): sans
	@echo "[8] => $@"
	install -d -m 0755 $@/$(TTFDIR)
	install -d -m 0755 $@/$(DOCDIR)
	install -p -m 0644 $(BUILDDIR)/DejaVuSans.ttf $@/$(TTFDIR)
	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCSANS)) \
	                   $(STATICDOC) $@/$(DOCDIR)

$(TMPDIR)/$(LGCARCHIVE): lgc
	@echo "[8] => $@"
	install -d -m 0755 $@/$(TTFDIR)
	install -d -m 0755 $@/$(FONTCONFDIR)
	install -d -m 0755 $@/$(DOCDIR)
	install -p -m 0644 $(LGCTTF) $@/$(TTFDIR)
	install -p -m 0644 $(FONTCONFLGC) $@/$(FONTCONFDIR)
	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCLGC)) \
	                   $(STATICDOC) $@/$(DOCDIR)

$(DISTDIR)/%.zip: $(TMPDIR)/%
	@echo "[9] => $@"
	install -d $(dir $@)
	(cd $(TMPDIR); zip -rv $(abspath $@) $(notdir $<))

$(DISTDIR)/%.tar.bz2: $(TMPDIR)/%
	@echo "[9] => $@"
	install -d $(dir $@)
	(cd $(TMPDIR); tar cjvf $(abspath $@) $(notdir $<))

%.md5: %
	@echo "[10] => $@"
	(cd $(dir $<); md5sum -b $(notdir $<) > $(abspath $@))

%.sha512: %
	@echo "[10] => $@"
	(cd $(dir $<); sha512sum -b $(notdir $<) > $(abspath $@))

%.sfd.norm: %.sfd
	@echo "[11] $< => $@"
	$(NORMALIZE) $<
	touch -r $< $@

check : $(NORMSFD)
	for sfd in $^ ; do \
	echo "[12] Checking $$sfd" ;\
	$(PROBLEMS)  $$sfd ;\
	done

munge: $(NORMSFD)
	for sfd in $(SFDFILES) ; do \
	echo "[13] $(TMPDIR)/$$sfd.norm => $(SRCDIR)/$$sfd" ;\
	cp $(TMPDIR)/$$sfd.norm $(SRCDIR)/$$sfd ;\
	done

full : $(FULLTTF) $(addprefix $(BUILDDIR)/, $(GENDOCFULL))

sans : $(addprefix $(BUILDDIR)/, DejaVuSans.ttf $(GENDOCSANS))

lgc : $(LGCTTF) $(addprefix $(BUILDDIR)/, $(GENDOCLGC))

ttf : full-ttf sans-ttf lgc-ttf

full-ttf : $(FULLTTF)

sans-ttf: $(BUILDDIR)/DejaVuSans.ttf

lgc-ttf : $(LGCTTF)

status : $(addprefix $(BUILDDIR)/, $(GENDOCFULL))

dist : src-dist full-dist sans-dist lgc-dist

src-dist :  $(addprefix $(DISTDIR)/$(SRCARCHIVE),  $(ARCHIVEEXT) $(SUMEXT))

full-dist : $(addprefix $(DISTDIR)/$(FULLARCHIVE), $(ARCHIVEEXT) $(SUMEXT))

sans-dist : $(addprefix $(DISTDIR)/$(SANSARCHIVE), $(ARCHIVEEXT) $(SUMEXT))

lgc-dist :  $(addprefix $(DISTDIR)/$(LGCARCHIVE),  $(ARCHIVEEXT) $(SUMEXT))

norm : $(NORMSFD)

check-harder : clean check

pre-patch : munge clean

clean :
	$(RM) -r $(TMPDIR) $(BUILDDIR) $(DISTDIR)

condensed: $(NORMSFD)
	$(NARROW) 90 $(TMPDIR)/DejaVuSans.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSans-Bold.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSans-Oblique.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSans-BoldOblique.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSerif.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSerif-Bold.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSerif-Italic.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSerif-BoldItalic.sfd.norm
	$(NORMALIZE) $(TMPDIR)/DejaVuSans.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSans-Bold.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSans-Oblique.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSans-BoldOblique.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSerif.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSerif-Bold.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSerif-Italic.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSerif-BoldItalic.sfd.norm.narrow
	cp $(TMPDIR)/DejaVuSans.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSansCondensed.sfd.norm
	cp $(TMPDIR)/DejaVuSans-Bold.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSansCondensed-Bold.sfd.norm
	cp $(TMPDIR)/DejaVuSans-Oblique.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSansCondensed-Oblique.sfd.norm
	cp $(TMPDIR)/DejaVuSans-BoldOblique.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSansCondensed-BoldOblique.sfd.norm
	cp $(TMPDIR)/DejaVuSerif.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSerifCondensed.sfd.norm
	cp $(TMPDIR)/DejaVuSerif-Bold.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSerifCondensed-Bold.sfd.norm
	cp $(TMPDIR)/DejaVuSerif-Italic.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSerifCondensed-Italic.sfd.norm
	cp $(TMPDIR)/DejaVuSerif-BoldItalic.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSerifCondensed-BoldItalic.sfd.norm

=== debian/changelog ===
fonts-dejavu (2.34-1ubuntu1) trusty; urgency=low

  * Merge with Debian, remaining changes: 
    - Add 01_missing_uighur.patch: Add missing glyphs for Uighur language.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 10 Jan 2014 16:01:47 +0000

fonts-dejavu (2.34-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Team upload.
  * Imported Upstream version 2.34

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Sep 2013 18:56:12 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@
	
override_dh_auto_build:
	make full-ttf
	sh debian/scripts/generate-udeb.sh

override_dh_auto_clean:
	$(RM) -rf tmp/ build/ udeb-generated/ udeb-build/
	$(RM) -f debian/stamp-common-build
	dh_auto_clean

override_dh_builddeb:
	dh_builddeb -- -Zxz -Sextreme -z9

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## fonts-dejavu 2.35

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all check munge full sans lgc ttf full-ttf sans-ttf lgc-ttf status dist src-dist full-dist sans-dist lgc-dist norm check-harder pre-patch clean
 
 # Release version
-VERSION = 2.34
+VERSION = 2.35
 # Snapshot version
 SNAPSHOT = 
 # Initial source directory, assumed read-only

=== debian/changelog ===
fonts-dejavu (2.35-1) unstable; urgency=low

  * Imported Upstream version 2.35 (Closes: #785527)
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.6.
  * Remove enforced extreme and whatnot xz compression.
  * Name the bitstream-vera license in debian/copyright.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 19 May 2015 10:36:28 +0200

=== debian/control ===
Source: fonts-dejavu
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9~)
Build-Depends-Indep:
 fontforge-nox | fontforge,
 libfont-ttf-perl (>= 0.35),
 perl
Standards-Version: 3.9.6
Uploaders:
 Davide Viti <zinosat@tiscali.it>,
 Christian Perrier <bubulle@debian.org>,
 Fabian Greffrath <fabian@debian.org>
Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-dejavu.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-dejavu.git;a=summary
Homepage: http://dejavu-fonts.org/

Package: fonts-dejavu
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-dejavu-core,
 fonts-dejavu-extra,
 ${misc:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Replaces:
 ttf-dejavu (<< 2.33+svn2514-2~)
Breaks:
 ttf-dejavu (<< 2.33+svn2514-2~)
Description: metapackage to pull in fonts-dejavu-core and fonts-dejavu-extra
 DejaVu provides an expanded version of the Vera font family aiming for
 quality and broader Unicode coverage while retaining the original Vera
 style. DejaVu currently works towards conformance with the Multilingual
 European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
 fonts provide serif, sans and monospaced variants.
 .
 Use this package if you want all DejaVu variants.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

Package: fonts-dejavu-core
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Replaces:
 ttf-dejavu (<< 2.20-1),
 ttf-dejavu-core (<< 2.33+svn2514-2~)
Breaks:
 ttf-dejavu (<< 2.20-1),
 ttf-dejavu-core (<< 2.33+svn2514-2~)
Pre-Depends:
 ${misc:Pre-Depends}
Description: Vera font family derivate with additional characters
 DejaVu provides an expanded version of the Vera font family aiming for
 quality and broader Unicode coverage while retaining the original Vera
 style. DejaVu currently works towards conformance with the Multilingual
 European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
 fonts provide serif, sans and monospaced variants.
 .
 This package only contains the sans, sans-bold, serif, serif-bold,
 mono and mono-bold variants. For additional variants, see the
 ttf-dejavu-extra package.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

Package: fonts-dejavu-extra
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-dejavu-core,
 ${misc:Depends}
Replaces:
 ttf-dejavu (<< 2.20-1),
 ttf-dejavu-extra (<< 2.33+svn2514-2~)
Breaks:
 ttf-dejavu (<< 2.20-1),
 ttf-dejavu-extra (<< 2.33+svn2514-2~)
Pre-Depends:
 ${misc:Pre-Depends}
Description: Vera font family derivate with additional characters (extra variants)
 DejaVu provides an expanded version of the Vera font family aiming for
 quality and broader Unicode coverage while retaining the original Vera
 style. DejaVu currently works towards conformance with the Multilingual
 European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
 fonts provide serif, sans and monospaced variants.
 .
 This package includes additional variants, such as oblique, italic,
 bold-oblique, bold-italic and the condensed forms.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

Package: fonts-dejavu-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Description: Vera font family derivate with additional characters
 DejaVu provides an expanded version of the Vera font family aiming for
 quality and broader Unicode coverage while retaining the original Vera
 style. DejaVu currently works towards conformance with the Multilingual
 European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
 fonts provide serif, sans and monospaced variants.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

Package: fonts-dejavu-mono-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Description: Monospace Vera font family derivate with additional characters
 Monospace variant of the DejaVu font for the debian-installer.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

Package: ttf-dejavu
Depends:
 fonts-dejavu,
 ttf-dejavu-core,
 ttf-dejavu-extra,
 ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Pre-Depends:
 ${misc:Pre-Depends}
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

Package: ttf-dejavu-core
Depends:
 fonts-dejavu-core,
 ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Pre-Depends:
 ${misc:Pre-Depends}
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

Package: ttf-dejavu-extra
Depends:
 fonts-dejavu-extra,
 ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Pre-Depends:
 ${misc:Pre-Depends}
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

## fonts-dejavu 2.37

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all check munge full sans lgc ttf full-ttf sans-ttf lgc-ttf status dist src-dist full-dist sans-dist lgc-dist norm check-harder pre-patch clean
 
 # Release version
-VERSION = 2.35
+VERSION = 2.37
 # Snapshot version
 SNAPSHOT = 
 # Initial source directory, assumed read-only
@@ -53,7 +53,9 @@
 SFDFILES := $(patsubst $(SRCDIR)/%, %, $(SRC))
 FULLSFD  := $(patsubst $(SRCDIR)/%.sfd, $(TMPDIR)/%.sfd, $(SRC))
 NORMSFD  := $(patsubst %, %.norm, $(FULLSFD))
-LGCSFD   := $(patsubst $(SRCDIR)/DejaVu%.sfd, $(TMPDIR)/DejaVuLGC%.sfd, $(SRC))
+MATSHSFD := $(wildcard $(SRCDIR)/*Math*.sfd)
+LGCSRC   := $(filter-out $(MATSHSFD),$(SRC))
+LGCSFD   := $(patsubst $(SRCDIR)/DejaVu%.sfd, $(TMPDIR)/DejaVuLGC%.sfd, $(LGCSRC))
 FULLTTF  := $(patsubst $(TMPDIR)/%.sfd, $(BUILDDIR)/%.ttf, $(FULLSFD))
 LGCTTF   := $(patsubst $(TMPDIR)/%.sfd, $(BUILDDIR)/%.ttf, $(LGCSFD))
 
@@ -61,7 +63,7 @@
 FONTCONFLGC  := $(wildcard $(FONTCONFDIR)/*lgc*.conf)
 FONTCONFFULL := $(filter-out $(FONTCONFLGC), $(FONTCONF))
 
-STATICDOC := $(addprefix $(DOCDIR)/, AUTHORS BUGS LICENSE NEWS README)
+STATICDOC := $(addprefix $(DOCDIR)/, AUTHORS BUGS LICENSE NEWS README.md)
 STATICSRCDOC := $(addprefix $(DOCDIR)/, BUILDING)
 GENDOCFULL = unicover.txt langcover.txt status.txt
 GENDOCSANS = unicover-sans.txt langcover-sans.txt
@@ -74,16 +76,22 @@
 	install -d $(dir $@)
 	sed "s@\(Version:\? \)\(0\.[0-9]\+\.[0-9]\+\|[1-9][0-9]*\.[0-9]\+\)@\1$(VERSION)@" $< > $@
 	touch -r $< $@
+
+$(TMPDIR)/DejaVuLGCMathTeXGyre.sfd: $(TMPDIR)/DejaVuMathTeXGyre.sfd
+	@echo "[2] skipping $<"
 
 $(TMPDIR)/DejaVuLGC%.sfd: $(TMPDIR)/DejaVu%.sfd
 	@echo "[2] $< => $@"
 	sed -e 's,FontName: DejaVu,FontName: DejaVuLGC,'\
 	    -e 's,FullName: DejaVu,FullName: DejaVu LGC,'\
 	    -e 's,FamilyName: DejaVu,FamilyName: DejaVu LGC,'\
-            -e 's,"DejaVu \(\(Sans\|Serif\)*\( Condensed\| Mono\)*\( Bold\)*\( Oblique\|Italic\)*\)","DejaVu LGC \1",g' < $< > $@
+	    -e 's,"DejaVu \(\(Sans\|Serif\)*\( Condensed\| Mono\)*\( Bold\)*\( Oblique\|Italic\)*\)","DejaVu LGC \1",g' < $< > $@
 	@echo "Stripping unwanted glyphs from $@"
 	$(LGC) $@
 	touch -r $< $@
+
+$(BUILDDIR)/DejaVuLGCMathTeXGyre.ttf: $(TMPDIR)/DejaVuLGCMathTeXGyre.sfd
+	@echo "[3] skipping $<"
 
 $(BUILDDIR)/%.ttf: $(TMPDIR)/%.sfd
 	@echo "[3] $< => $@"

=== debian/changelog ===
fonts-dejavu (2.37-8) unstable; urgency=medium

  * Team upload
  * Let fonts-dejavu-core depend on fonts-dejavu-mono

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 10 Aug 2023 19:39:05 +0200

fonts-dejavu (2.37-7) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 08 Aug 2023 21:33:17 +0200

fonts-dejavu (2.37-7~exp1) experimental; urgency=medium

  * Team upload
  * Break out monospace to a fonts-dejavu-mono binary (closes: #1043271)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 08 Aug 2023 17:06:14 +0200

fonts-dejavu (2.37-6) unstable; urgency=medium

  * Touch all generated TTF files with SOURCE_DATE_EPOCH time,
    Closes: #1032599.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 10 Mar 2023 09:35:35 +0100

fonts-dejavu (2.37-5) unstable; urgency=medium

  [ Paul Menzel ]
  * debian/control: fonts-dejavu-web: Add missing verb to description
  * debian/fonts-dejavu-web.README.Debian: Improve spelling and wording
  * debian/scripts/generate-web.sh: Get rid of ls and grep usage

 -- Fabian Greffrath <fabian@debian.org>  Sun, 26 Feb 2023 07:54:14 +0100

fonts-dejavu (2.37-4) unstable; urgency=medium

  * Source-only upload.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 14 Feb 2023 22:03:51 +0100

fonts-dejavu (2.37-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Daniel Baumann ]
  * Adding fonts-dejavu-web package (Closes: #1030155).

 -- Fabian Greffrath <fabian@debian.org>  Tue, 07 Feb 2023 08:26:57 +0100

fonts-dejavu (2.37-2) unstable; urgency=medium

  * Drop transitional packages ttf-dejavu, ttf-dejavu-core and
    ttf-dejavu-extra. Thanks Holger Levsen, Closes: #872809.
  * Update upstream homepage information. Thanks Theppitak
    Karoonboonyanan and Vincent Lefevre, Closes: #950203.
  * Remove Christian Perrier from Uploaders, Closes: #927597.
  * Apply upstream commit to remove redundant generic name assignment
    and aliasing from fontconfig configuration. Thanks Jan Niklas
    Hasse, Closes: #753401.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.5.0.
  * Update Vcs-* fields to point to the Salsa repository.
  * Add "Rules-Requires-Root: no".
  * Update Debian Fonts Task Force mailing list address in the
    Maintainer field.
  * Use secure debian/copyright format URI.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 22 May 2020 17:21:43 +0200

fonts-dejavu (2.37-1) unstable; urgency=medium

  * Imported Upstream version 2.37.
    + Fix issue with empty glyphs in condensed typefaces in the
      released source files (Closes: #832037).
  * Bump Standards-Version to 3.9.8.
  * Fix vcs-field-uses-insecure-uri lintian warnings.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 16 Aug 2016 20:18:04 +0200

fonts-dejavu (2.36-1) unstable; urgency=medium

  * Imported Upstream version 2.36 (Closes: #831375).
  * Account for the README file name change.
  * Install the new Math font in to the fonts-dejavu-extra package.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 16 Jul 2016 18:20:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,35 @@
 Source: fonts-dejavu
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Build-Depends:
- debhelper (>= 9~)
+ debhelper-compat (= 13)
 Build-Depends-Indep:
  fontforge-nox | fontforge,
- libfont-ttf-perl (>= 0.35),
- perl
-Standards-Version: 3.9.6
+ libfont-ttf-perl,
+ perl,
+ woff-tools,
+ woff2
+Standards-Version: 4.5.0
 Uploaders:
  Davide Viti <zinosat@tiscali.it>,
- Christian Perrier <bubulle@debian.org>,
  Fabian Greffrath <fabian@debian.org>
-Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-dejavu.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-dejavu.git;a=summary
-Homepage: http://dejavu-fonts.org/
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-dejavu.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-dejavu
+Homepage: https://dejavu-fonts.github.io/
+Rules-Requires-Root: no
 
 Package: fonts-dejavu
 Architecture: all
 Multi-Arch: foreign
 Depends:
  fonts-dejavu-core,
+ fonts-dejavu-mono,
  fonts-dejavu-extra,
  ${misc:Depends}
 Pre-Depends:
  ${misc:Pre-Depends}
-Replaces:
- ttf-dejavu (<< 2.33+svn2514-2~)
-Breaks:
- ttf-dejavu (<< 2.33+svn2514-2~)
-Description: metapackage to pull in fonts-dejavu-core and fonts-dejavu-extra
+Description: metapackage to pull in fonts-dejavu-core, -mono and -extra
  DejaVu provides an expanded version of the Vera font family aiming for
  quality and broader Unicode coverage while retaining the original Vera
  style. DejaVu currently works towards conformance with the Multilingual
@@ -46,13 +45,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ fonts-dejavu-mono,
  ${misc:Depends}
-Replaces:
- ttf-dejavu (<< 2.20-1),
- ttf-dejavu-core (<< 2.33+svn2514-2~)
-Breaks:
- ttf-dejavu (<< 2.20-1),
- ttf-dejavu-core (<< 2.33+svn2514-2~)
 Pre-Depends:
  ${misc:Pre-Depends}
 Description: Vera font family derivate with additional characters
@@ -62,9 +56,35 @@
  European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
  fonts provide serif, sans and monospaced variants.
  .
- This package only contains the sans, sans-bold, serif, serif-bold,
- mono and mono-bold variants. For additional variants, see the
- ttf-dejavu-extra package.
+ This package only contains the sans, sans-bold, serif and serif-bold
+ variants. For additional variants, see the fonts-dejavu-mono and
+ fonts-dejavu-extra packages.
+ .
+ DejaVu fonts are intended for use on low-resolution devices (mainly
+ computer screens) but can be used in printing as well.
+
+Package: fonts-dejavu-mono
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
+Replaces:
+ fonts-dejavu-core (<< 2.37-7~),
+ fonts-dejavu-extra (<< 2.37-7~),
+Breaks:
+ fonts-dejavu-core (<< 2.37-7~),
+ fonts-dejavu-extra (<< 2.37-7~),
+Description: Vera font family derivate with additional characters
+ DejaVu provides an expanded version of the Vera font family aiming for
+ quality and broader Unicode coverage while retaining the original Vera
+ style. DejaVu currently works towards conformance with the Multilingual
+ European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
+ fonts provide serif, sans and monospaced variants.
+ .
+ This package only contains the monospaced variants. For additional
+ variants, see the fonts-dejavu-core and fonts-dejavu-extra packages.
  .
  DejaVu fonts are intended for use on low-resolution devices (mainly
  computer screens) but can be used in printing as well.
@@ -75,12 +95,6 @@
 Depends:
  fonts-dejavu-core,
  ${misc:Depends}
-Replaces:
- ttf-dejavu (<< 2.20-1),
- ttf-dejavu-extra (<< 2.33+svn2514-2~)
-Breaks:
- ttf-dejavu (<< 2.20-1),
- ttf-dejavu-extra (<< 2.33+svn2514-2~)
 Pre-Depends:
  ${misc:Pre-Depends}
 Description: Vera font family derivate with additional characters (extra variants)
@@ -120,40 +134,22 @@
  DejaVu fonts are intended for use on low-resolution devices (mainly
  computer screens) but can be used in printing as well.
 
-Package: ttf-dejavu
+Package: fonts-dejavu-web
+Architecture: all
+Multi-Arch: foreign
 Depends:
  fonts-dejavu,
- ttf-dejavu-core,
- ttf-dejavu-extra,
  ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Priority: extra
 Pre-Depends:
  ${misc:Pre-Depends}
-Description: transitional dummy package
- This package is a dummy transitional package. It can be safely removed.
-
-Package: ttf-dejavu-core
-Depends:
- fonts-dejavu-core,
- ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Priority: extra
-Pre-Depends:
- ${misc:Pre-Depends}
-Description: transitional dummy package
- This package is a dummy transitional package. It can be safely removed.
-
-Package: ttf-dejavu-extra
-Depends:
- fonts-dejavu-extra,
- ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Priority: extra
-Pre-Depends:
- ${misc:Pre-Depends}
-Description: transitional dummy package
- This package is a dummy transitional package. It can be safely removed.
+Recommends:
+ javascript-common,
+Description: Vera font family derivate with additional characters (woff/woff2)
+ DejaVu provides an expanded version of the Vera font family aiming for
+ quality and broader Unicode coverage while retaining the original Vera
+ style. DejaVu currently works towards conformance with the Multilingual
+ European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
+ fonts provide serif, sans and monospaced variants.
+ .
+ This package includes the woff/woff2 formats to be used as webfonts on a
+ webserver.

=== debian/watch ===
version=3
http://sf.net/dejavu/dejavu-fonts-([\d.]*).tar.bz2
